#!/bin/bash

# Enter the level that contains the tiles at source resolution here:
MAXLEVEL=6

level=6 

while [ $level -le $MAXLEVEL ]
do
    xmax=$((2**($level+1)))
    ymax=$((2**$level))

    y=0
    while [ $y -lt $ymax ]
    do
        ystr=$(printf "%06d" $y)

        x=0
        while [ $x -lt $xmax ]
        do
            echo "level: $level x: $x y: $y"

            xstr=$(printf "%06d" $x)

            refimage="$level/$ystr/$ystr""_"$xstr".jpg"

            echo "mogrify -colorspace RGB -quality 85 -format jpg $refimage"

            mogrify -type TrueColor -depth 24 -colorspace rgb $refimage

            let "x+=1"
        done
        let "y+=1"
    done
    let "level+=1"
done
