#!/bin/bash

# Enter the level that contains the tiles at source resolution here:
MAXLEVEL=6

level=0

while [ $level -le $MAXLEVEL ]
do
    xmax=$((2**($level+1)))
    ymax=$((2**$level))

    y=0
    while [ $y -lt $ymax ]
    do
        ystr=$(printf "%06d" $y)

        let "xlimit=$xmax/2"

        x=0
        while [ $x -lt $xlimit ]
        do
            echo "level: $level x: $x y: $y"
            tempimage="temp.tif"

            xstr=$(printf "%06d" $x)

            refimage="$level/$ystr/$xstr""_"$ystr".tif"

            let "xtarget=$x+$xlimit"
            if [ $xtarget -gt $xmax ]; then
                let "xtarget=$x-$xlimit"
            fi

            xtargetstr=$(printf "%06d" $xtarget)
            
            targetimage="$level/$ystr/$xtargetstr""_"$ystr".tif"

            echo "mv $refimage $tempimage"
            echo "mv $targetimage $refimage"
            echo "mv $tempimage $targetimage"
            mv $refimage $tempimage
            mv $targetimage $refimage
            mv $tempimage $targetimage
 
            let "x+=1"
        done
        let "y+=1"
    done
    let "level+=1"
done
