#!/bin/bash

level=6
mkdir -p $level

for y in 0 1 2 3
do
  for x in 0 1 2 3 4 5 6 7
  do
    refimage="moon_"$x"_"$y".tif"

    for b in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 
    do
      let "yint=y*16+b"
      ystr=$(printf "%06d" $yint)
      mkdir -p "$level/$ystr"
      
      for a in 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 
      do
        let "xint=x*16+a"
        xstr=$(printf "%06d" $xint)

        secimage="$level/$ystr/$xstr""_"$ystr".tif"
        
        let "xpos=675*a"
        let "ypos=675*b"
 
        echo "vips im_extract_area $refimage $secimage $xpos $ypos 675 675" 
        vips im_extract_area $refimage $secimage $xpos $ypos 675 675
      done
    done
  done
done

exit 0


exit 0